/*
 *----------------------------------------------------------------------
 *    T-Kernel 2.0 Software Package
 *
 *    Copyright 2011 by Ken Sakamura.
 *    This software is distributed under the latest version of T-License 2.x.
 *----------------------------------------------------------------------
 *
 *    Released by T-Engine Forum(http://www.t-engine.org/) at 2011/05/17.
 *    Modified by TRON Forum(http://www.tron.org/) at 2015/06/01.
 *
 *----------------------------------------------------------------------
 */

/*
 *      @(#)tkernel.h (T-Kernel)
 *
 *      T-Kernel Definition
 */

#ifndef __TK_TKERNEL_H__
#define __TK_TKERNEL_H__

#include <basic.h>
#include <tk/typedef.h>
#include <tk/errno.h>

/*
 * T-Kernel/OS
 */
#include <tk/syscall.h>

/*
 * T-Kernel/SM
 */
#include <tk/sysmgr.h>
#include <tk/devmgr.h>
#include <tk/syslib.h>

#include <tk/sysext.h>
#include <tk/ptimer.h>
#include <tk/util.h>

#endif /* __TK_TKERNEL_H__ */
